[snap] chromium fails to start: unsupported version 0 of Verneed record

Bug #1998409 reported by Dmitriy Gorbenko
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
chromium-browser (Ubuntu)
Invalid
Undecided
Unassigned
firefox (Ubuntu)
Invalid
Undecided
Unassigned

Bug Description

Description: Ubuntu 22.04.1 LTS
Release: 22.04
Just updated before trying to run the chromium.

$ chromium-browser

/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
mkdir: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
mkdir: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
mkdir: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
sed: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
md5sum: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
cp: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
md5sum: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
xdg-user-dirs-update: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
rm: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
mkdir: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
/snap/chromium/2221/snap/command-chain/desktop-launch: line 406: /home/USER/snap/chromium/2221/.config/fontconfig/fonts.conf: No such file or directory
ln: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
ln: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
rm: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
mkdir: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
rm: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
rm: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
ln: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
mkdir: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
mkdir: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
rm: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
ln: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
/snap/chromium/2221/snap/command-chain/desktop-launch: line 500: /home/USER/snap/chromium/common/.cache/gdk-pixbuf-loaders.cache: No such file or directory
rm: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
/snap/chromium/2221/gnome-platform/usr/lib/x86_64-linux-gnu/glib-2.0/gio-querymodules: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
mkdir: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
dirname: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
mkdir: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
ln: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
dirname: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
mkdir: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
ln: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
dirname: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
mkdir: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
ln: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
mkdir: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
ln: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
rm: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
mkdir: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
ln: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
/snap/chromium/2221/snap/command-chain/desktop-launch: line 585: /home/USER/snap/chromium/common/.cache/immodules/immodules.cache: No such file or directory
ERROR: compile_giomodules /snap/chromium/2221/gnome-platform/usr/lib/x86_64-linux-gnu exited abnormally with status 127
/bin/sh: error while loading shared libraries: /snap/chromium/2221/gnome-platform/lib/x86_64-linux-gnu/bindtextdomain.so: unsupported version 0 of Verneed record
$

I tried to update it thr the snap, it says the chromium is up to date.
Need help.
Thanks
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu82.2
Architecture: amd64
CasperMD5CheckResult: pass
CurrentDesktop: KDE
DRM.card0-HDMI-A-2:
 enabled: enabled
 dpms: On
 status: connected
 edid-base64: AP///////wAwrqVhAQEBASwdAQOgNR54Kg41pFRNnSYPUFShCACBgJUAqcCzANHA0QABAQEBVl4AoKCgKVAwIDUADyghAAAaAjqAGHE4LUBYLEUADyghAAAeAAAA/QAxTB5wHgAKICAgICAgAAAA/ABQMjRxLTEwCiAgICAgAQQCAx7wSwECAwQFFBMQHxESIwkHB4MBAABlAwwAEAABHQByUdAeIG4oVQAPKCEAAB+MCtCKIOAtEBA+lgAPKCEAABkAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABQ==
 modes: 2560x1440 1920x1200 1920x1080 1920x1080 1920x1080 1920x1080i 1920x1080i 1920x1080 1920x1080i 1680x1050 1600x900 1280x1024 1440x900 1280x720 1280x720 1280x720 1280x720 1024x768 800x600 720x576 720x576 720x480 720x480 720x480 720x480 720x480 640x480 640x480 640x480 720x400
DiskUsage:
 Filesystem Type Size Used Avail Use% Mounted on
 /dev/nvme0n1p2 ext4 457G 362G 73G 84% /
 tmpfs tmpfs 16G 488M 16G 4% /dev/shm
 /dev/nvme0n1p2 ext4 457G 362G 73G 84% /
DistroRelease: Ubuntu 22.04
InstallationDate: Installed on 2021-06-18 (534 days ago)
InstallationMedia: Kubuntu 21.04 "Hirsute Hippo" - Release amd64 (20210420)
MachineType: System76 Galago Pro
Package: chromium-browser 1:85.0.4183.83-0ubuntu2
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-6.0.6-76060006-generic root=UUID=c0c89cb4-bd96-4c72-ae50-8da045517547 ro quiet splash vt.handoff=7
Snap.Changes: no changes found
Snap.ChromeDriverVersion:
 /bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
 ChromeDriver 107.0.5304.121 (f069d69e0559af6ce6208316892bb2e0a9bd2d17-refs/branch-heads/5304_110@{#3})
Snap.ChromiumVersion:
 /bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
 Chromium 107.0.5304.121 snap
Tags: jammy snap
Uname: Linux 6.0.6-76060006-generic x86_64
UpgradeStatus: Upgraded to jammy on 2022-07-29 (128 days ago)
UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo vboxusers
_MarkForUpload: True
dmi.bios.date: 03/26/2018
dmi.bios.release: 5.2
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1.05.02-1
dmi.board.asset.tag: Tag 12345
dmi.board.name: Galago Pro
dmi.board.vendor: System76
dmi.board.version: galp3-b
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: System76
dmi.chassis.version: N/A
dmi.ec.firmware.release: 5.2
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1.05.02-1:bd03/26/2018:br5.2:efr5.2:svnSystem76:pnGalagoPro:pvrgalp3-b:rvnSystem76:rnGalagoPro:rvrgalp3-b:cvnSystem76:ct10:cvrN/A:skuNotApplicable:
dmi.product.family: Not Applicable
dmi.product.name: Galago Pro
dmi.product.sku: Not Applicable
dmi.product.version: galp3-b
dmi.sys.vendor: System76

Revision history for this message
Chris Guiver (guiverc) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.

Bug reporting is mostly about finding & fixing problems thus preventing future users from hitting the same bug.

I suspect a Support site would be more appropriate, eg. https://answers.launchpad.net/ubuntu. You can also find help with your problem in the support forum of your local Ubuntu community http://loco.ubuntu.com/ or asking at https://askubuntu.com or https://ubuntuforums.org, or for more support options please look at https://discourse.ubuntu.com/t/community-support/709

(this bug report can be converted into a question which is aimed at support; see near-top-right)

To further explore this reported bug, details are required. Please execute the following command only once, as it will automatically gather debugging information, in a terminal:

apport-collect 1998409

When reporting bugs in the future please use apport by using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote :

Hi Chris, ok, here is the problem - i rebooted the ubuntu and it solved the issue.
Does it make sense to run the "apport-collect 1998409" ? I just believe it won't give you evidences which I had.

Dima

Revision history for this message
Nathan Teodosio (nteodosio) wrote :

Hey Dmitriy, indeed reboots should not be necessary to launch updated snaps.

So yes please run that apport-collect command and see if you can collect the lines from "journalctl -r" around the time of the crash you experienced some hours ago.

Changed in chromium-browser (Ubuntu):
status: New → Incomplete
tags: added: snap
summary: - chromium fails to start: unsupported version 0 of Verneed record
+ [snap] chromium fails to start: unsupported version 0 of Verneed record
Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : CurrentDmesg.txt

apport information

tags: added: apport-collected jammy
description: updated
Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : DRM.card0-DP-1.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : DRM.card0-HDMI-A-1.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : DRM.card0-eDP-1.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : Dependencies.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : Lspci.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : Lspci-vt.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : Lsusb.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : Lsusb-t.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : Lsusb-v.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : ProcCpuinfoMinimal.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : ProcEnviron.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : ProcModules.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : Snap.ChromiumPrefs.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : Snap.Connections.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : Snap.Info.chromium.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : Snap.Info.core.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : Snap.Info.core18.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : Snap.Info.gtk-common-themes.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : UdevDb.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote : acpidump.txt

apport information

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote :

OMG, apport-collect places all these files as individual comments, creating a lot of unnecessary posts here.

Changed in chromium-browser (Ubuntu):
status: Incomplete → New
Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote :

Just reproduced the same error:

$ chromium-browser

/bin/bash: /lib/x86_64-linux-gnu/libdl.so.2: unsupported version 0 of Verdef record
/bin/bash: error while loading shared libraries: /lib/x86_64-linux-gnu/libdl.so.2: unsupported version 0 of Verneed record
$

Going to collect more data by "apport-collect 1998409" and here is the output from "journalctl -r":

Dec 20 17:24:46 galago systemd[2329]: Started snap.chromium.chromium.da76285a-c22f-4a55-a383-c7d84e4759d2.scope.
Dec 20 17:24:34 galago wpa_supplicant[971]: wlp59s0: WPA: Group rekeying completed with e4:8d:8c:49:25:11 [GTK=CCMP]
Dec 20 17:24:11 galago CRON[3379539]: pam_unix(cron:session): session closed for user bazil
Dec 20 17:24:01 galago CRON[3379536]: pam_unix(cron:session): session closed for user bazil

as you can see, nothing interesting there. Btw, the Firefox stopped launching as well:

$ firefox
/bin/bash: /lib/x86_64-linux-gnu/libdl.so.2: unsupported version 0 of Verdef record
/bin/bash: error while loading shared libraries: /lib/x86_64-linux-gnu/libdl.so.2: unsupported version 0 of Verneed record
$

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 22.04.1 LTS
Release: 22.04
Codename: jammy
$

What is going on, guys ?!

Revision history for this message
Nathan Teodosio (nteodosio) wrote :

https://forum.snapcraft.io/t/unsupported-version-0-of-verneed-record-linux-6-0 suggests it could be a kernel problem.

Try their suggestion there: Either upgrading to 6.0.7 or downgrading to the 5 series.

Revision history for this message
Dmitriy Gorbenko (dmitriy-gorbenko) wrote :

Some articles say the issue is SNAP related, and I saw a patch to the SNAP daemon which fixes it.
Sorry, I don't remember the link to that post.

Revision history for this message
Nathan Teodosio (nteodosio) wrote :

Glad to hear your issue is solved, since you confirmed it is Snap related I'm marking it as resolved for Firefox and Chromium.

If you happen to locate the patch or post, please do let we know.

Changed in chromium-browser (Ubuntu):
status: New → Invalid
Changed in firefox (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.